View Issue Details

IDProjectCategoryView StatusLast Update
0003968unrealircdpublic2015-05-21 19:39
ReporternenotopiaAssigned Tosyzop 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.4-alpha1 
Summary0003968: [patch] replace hashtables with splay trees
Descriptionhi,

please apply these patches which introduce a splaytree implementation and refactor the command processing code which brings memory usage improvements and performance improvements as well.
TagsNo tags attached.
3rd party modules

Activities

nenotopia

2010-11-18 17:14

reporter  

unreal-splaytree-commandparse.patch (8,704 bytes)

nenotopia

2010-11-18 19:04

reporter  

unreal-splaytree-commandparse-v2.patch (89,063 bytes)

nenotopia

2010-11-18 19:04

reporter   ~0016435

unreal-splaytree-commandparse-v2.patch reworks all of the command modules to actually use the module API and thusly not doublefree the command splaytree nodes.

nenotopia

2010-11-18 21:41

reporter  

unreal-splaytree-clientinfo.patch (7,637 bytes)

nenotopia

2010-11-18 21:42

reporter   ~0016436

unreal-splaytree-clientinfo.patch reworks the client hashtable code to really use a splaytree and ensures that the client splaytree is properly populated.

katsklaw

2010-12-18 05:31

reporter   ~0016468

I have these patches running on a production network of about 175 users on 3.2.8.1 and not a single problem so far.

nenotopia

2010-12-18 09:03

reporter   ~0016470

hi,

can you try the patches at http://hg.atheme.org/users/nenolod/unreal-ircv3-patches ?
a few bugs have been reported to me that i intend to chase down this weekend, but they only seem to happen in networks with more than one server.

katsklaw

2010-12-19 02:44

reporter   ~0016473

it'll take a few days but sure.

syzop

2015-05-21 19:38

administrator   ~0018322

"MD" provides this functionality. now documented.

Issue History

Date Modified Username Field Change
2010-11-18 17:13 nenotopia New Issue
2010-11-18 17:13 nenotopia File Added: unreal-splaytree-core.patch
2010-11-18 17:14 nenotopia File Added: unreal-splaytree-commandparse.patch
2010-11-18 17:14 nenotopia Status new => has patch
2010-11-18 19:04 nenotopia File Added: unreal-splaytree-commandparse-v2.patch
2010-11-18 19:04 nenotopia Note Added: 0016435
2010-11-18 21:41 nenotopia File Added: unreal-splaytree-clientinfo.patch
2010-11-18 21:42 nenotopia Note Added: 0016436
2010-11-20 10:57 syzop Relationship added child of 0003915
2010-12-18 05:31 katsklaw Note Added: 0016468
2010-12-18 09:03 nenotopia Note Added: 0016470
2010-12-19 02:44 katsklaw Note Added: 0016473
2011-11-05 20:53 syzop Relationship deleted child of 0003915
2015-05-21 19:38 syzop Note Added: 0018322
2015-05-21 19:38 syzop Status has patch => resolved
2015-05-21 19:38 syzop Fixed in Version => 3.4-alpha1
2015-05-21 19:38 syzop Resolution open => fixed
2015-05-21 19:38 syzop Assigned To => syzop